@echo off
set PATH=%PATH%;%CD%\patch_files
md patch_files\tmp

echo --- Extracting original jar file ---
unzip -q mplab_platform\mdbcore\modules\com-microchip-mplab-mdbcore-pkobskde.jar -d patch_files\tmp
echo --- Replacing PKOB compatibility list with PICKit-3 compatibility list ---
del patch_files\tmp\com\microchip\mplab\mdbcore\pkobskde\pkobskde.platformTool.xml
copy patch_files\pkobskde.platformTool.xml patch_files\tmp\com\microchip\mplab\mdbcore\pkobskde\pkobskde.platformTool.xml
echo --- Repackaging JAR file ---
cd patch_files
cd tmp
zip -q -r -0 ..\com-microchip-mplab-mdbcore-pkobskde.jar *
cd ..
cd ..
echo ------------------------------------------------------------------------
echo WARNING! Continuing the operation will replace the original JAR file at:
echo mplab_platform\mdbcore\modules\com-microchip-mplab-mdbcore-pkobskde.jar
echo with the patched version. This operation cannot be undone.
echo.
echo If you want to make a backup of the file NOW is the moment to do it.
echo ------------------------------------------------------------------------
pause
echo --- Replacing JAR file ---
del mplab_platform\mdbcore\modules\com-microchip-mplab-mdbcore-pkobskde.jar
move patch_files\com-microchip-mplab-mdbcore-pkobskde.jar mplab_platform\mdbcore\modules\com-microchip-mplab-mdbcore-pkobskde.jar
echo --- Cleaning up files ---
cd patch_files
rmdir /S /Q tmp >NUL
cd ..
echo --- Operation completed ---
pause